LibreOffice LibreOffice 25.8 SDK API Reference

Exported Interfaces | List of all members
Components Service Referencepublished

specifies a collection of components More...

`import"Components.idl";`

Inheritance diagram for Components:

## Exported Interfaces
interface | com::sun::star::container::XEnumerationAccess
| use it to get snapshot of current available components as an enumeration More...

## Additional Inherited Members
Public Member Functions inherited from XEnumerationAccess
com::sun::star::container::XEnumeration | createEnumeration ()
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a collection of components

One important instance of this service is available from the Desktop object via the XDesktop interface.

See also
  com::sun::star::lang::XComponent
  XDesktop

## Exported Interfaces

## ◆ com::sun::star::container::XEnumerationAccess

interface com::sun::star::container::XEnumerationAccess

use it to get snapshot of current available components as an enumeration

The documentation for this service was generated from the following file:

- com/sun/star/frame/Components.idl